<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$zroot = $_SESSION["zdbroot"];

if ($_REQUEST["godown"]) {
    $godown = $_REQUEST["godown"];
    $series = $_REQUEST["series"];

    $gettran = mysqli_query($conn, "SELECT * FROM `transacn` WHERE `godown`='$godown' and `series`='$series' and `source`='OP' order by `srno`")or die(mysqli_error($conn));
    $ctr = 1;
    while ($row = mysqli_fetch_array($gettran)) {
        $getitem = mysqli_query($conn, "Select name from `product` where `prodcode`='$row[itemcode]'") or die(mysqli_error($conn));
        $fetitem = mysqli_fetch_array($getitem);
        Echo "<tr>";
        Echo "<td><i class='fa fa-close remove' $hide_var ></i></td>";
        Echo "<td><input type='text' name='srno_$ctr' class='srno form-control  form'  value='$row[srno]' readonly></td>";
        Echo "<td>";
        Echo "<input type='text' name='barcode_$ctr' class='barcode form-control form' value='$row[barcode]' required>";
        Echo "</td>";
        Echo "<td>";
        Echo "<input type='text' name='itemcode_$ctr' required='true' class='itemcode form-control  form' value='$row[itemcode]' readonly required>";
        Echo "</td>";
        Echo "<td>";
        Echo "<input type='text' name='itemname_$ctr' required='true' class='itemname form-control  form' value='$fetitem[name]' readonly required>";
        Echo "</td>";
        Echo "<td><input type='text' name='gram_$ctr' class='gram form-control  form' value='$row[gram]' readonly></td>";
        Echo "<td><input type='text' name='unit_$ctr' class='unit form-control  form' value='$row[unit]' readonly></td>";
        Echo "<td><input type='text' name='batch_$ctr' class='batch form-control   form' value='$row[batch]' ></td>";
        Echo "<td><input type='number' name='qty_$ctr' class='qty form-control  text-right form' step='any' value='$row[qty]' ></td>";
        Echo "</tr>";
        $ctr++;
    }
    $ctr++;
}
?>